|  | Home · All Classes · Modules

# QWebPage.ErrorPageExtensionReturn Class Reference
[QtWebKit module]

The ErrorPageExtensionReturn describes the error page, which will be shown for the frame for which the error occured. More...

Inherits ExtensionReturn.

### Methods

- __init__ (self)
- __init__ (self, ErrorPageExtensionReturn)

### Members

- QUrl baseUrl
- QByteArray content
- QString contentType
- QString encoding

## Detailed Description

The ErrorPageExtensionReturn describes the error page, which will be shown for the frame for which the error occured.

The ErrorPageExtensionReturn class holds the data needed for creating an error page. Some are optional such as contentType, which defaults to "text/html", as well as the encoding, which is assumed to be UTF-8 if not indicated otherwise.

The error page is stored in the content byte array, as HTML content. In order to convert a QString to a byte array, the QString.toUtf8() method can be used.

External objects such as stylesheets or images referenced in the HTML are located relative to baseUrl.

## Method Documentation

### ErrorPageExtensionReturn.__init__ (self)

Constructs a new error page object.

### ErrorPageExtensionReturn.__init__ (self, ErrorPageExtensionReturn)

## Member Documentation

### QUrl baseUrl

This variable holds the base url.

External objects such as stylesheets or images referenced in the HTML are located relative to this url.

### QByteArray content

This variable holds the HTML content of the error page.

### QString contentType

This variable holds the error page's content type.

### QString encoding

This variable holds the error page encoding.